/*
 * Created on 13.05.2004
 *
 */
package org.kobjects.jdbc.util;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Statement;

/**
 * The only purpose of this dummy statement is to support
 * ResultSet.getStatement().close().
 *
 * @author Stefan Haustein
 */
public class DummyStatement implements Statement {

	ResultSet resultSet;

	public DummyStatement(ResultSet resultSet) {
		this.resultSet = resultSet;
	}


	public ResultSet executeQuery(String arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}


	public int executeUpdate(String arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void close() throws SQLException {
		resultSet.close();
	}

	/* (non-Javadoc)
		 * @see java.sql.Statement#getMaxFieldSize()
		 */
	public int getMaxFieldSize() throws SQLException {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
		 * @see java.sql.Statement#setMaxFieldSize(int)
		 */
	public void setMaxFieldSize(int arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
		 * @see java.sql.Statement#getMaxRows()
		 */
	public int getMaxRows() throws SQLException {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
		 * @see java.sql.Statement#setMaxRows(int)
		 */
	public void setMaxRows(int arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
		 * @see java.sql.Statement#setEscapeProcessing(boolean)
		 */
	public void setEscapeProcessing(boolean arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	/* (non-Javadoc)
		 * @see java.sql.Statement#getQueryTimeout()
		 */
	public int getQueryTimeout() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void setQueryTimeout(int arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void cancel() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public SQLWarning getWarnings() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void clearWarnings() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void setCursorName(String arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public boolean execute(String arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public ResultSet getResultSet() throws SQLException {
		return resultSet;
	}

	public int getUpdateCount() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public boolean getMoreResults() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void setFetchDirection(int arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int getFetchDirection() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void setFetchSize(int arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int getFetchSize() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int getResultSetConcurrency() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int getResultSetType() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void addBatch(String arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public void clearBatch() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int[] executeBatch() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public Connection getConnection() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public boolean getMoreResults(int arg0) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public ResultSet getGeneratedKeys() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int executeUpdate(String arg0, int arg1) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int executeUpdate(String arg0, int[] arg1) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int executeUpdate(String arg0, String[] arg1) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public boolean execute(String arg0, int arg1) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public boolean execute(String arg0, int[] arg1) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public boolean execute(String arg0, String[] arg1) throws SQLException {
		throw new UnsupportedOperationException();
	}

	public int getResultSetHoldability() throws SQLException {
		throw new UnsupportedOperationException();
	}

	public boolean isClosed() throws SQLException {
		return false;
	}

	public void setPoolable(boolean poolable) throws SQLException {
	}

	public boolean isPoolable() throws SQLException {
		return false;
	}

	public <T> T unwrap(Class<T> iface) throws SQLException {
		return null;
	}

	public boolean isWrapperFor(Class<?> iface) throws SQLException {
		return false;
	}
}
