package org.kobjects.jdbc.util;

import java.sql.SQLException;
import java.util.Iterator;

import org.kobjects.jdbc.Order;

//import org.kobjects.jdbc.sql.Expression;

/**
 * @author haustein
 *         <p/>
 *         To change this generated comment edit the template variable "typecomment":
 *         Window>Preferences>Java>Templates.
 *         To enable and disable the creation of type comments go to
 *         Window>Preferences>Java>Code Generation.
 */
public interface Index {

	//Expression getDefinition();

	/**
	 * Returns an iterator, starting at the given position. startKey may be null.
	 */

	Iterator getIterator(Object[] startKey) throws SQLException;

	/**
	 * Notifies the index that the given row number was changed.
	 *
	 * @param row Row number that has changed
	 */

	void prepareUpdate(int row) throws SQLException;

	void commitUpdate() throws SQLException;

	/**
	 * Insert the given row of the table into the index
	 */

	void insertRow(int row) throws SQLException;

	/**
	 * Delete the given table row from the index
	 */

	void deleteRow(int row) throws SQLException;

	/**
	 * Returns the order supported by this index
	 */

	Order getOrder();

}
